@rem  Licensed Materials - Property of IBM
@rem  5724-M24
@rem  Copyright IBM Corporation 2007, 2008. All Rights Reserved.
@rem  US Government Users Restricted Rights- Use, duplication or disclosure
@rem  restricted by GSA ADP Schedule Contract with IBM Corp.
@@REM
@@REM
@@REM
@echo off

@REM echo.
@REM echo Start Monitor Verification Test

GOTO VARIABLES
:USAGE () {
  echo.
  echo  ivu -w ^<WAS_HOME^>
  echo.
  GOTO DONE
}

:VARIABLES
set wasHome=""

:LOOP
IF "%1" == "" GOTO CONTINUE
IF "%1" == "-w" (
  set wasHome=%2
  GOTO FORWARD
)
IF "%1" == "-h" (
  GOTO USAGE
)

:FORWARD
shift /1
shift /1
GOTO LOOP
:CONTINUE


set curDir=%~dp0

IF %wasHome% == "" cd %curDir%..\..

IF %wasHome% == "" set wasHome=%CD%


cd %wasHome%\firststeps.wbm\ivt
set WAS_HOME=%wasHome%

set wasHome=%wasHome:\=\\%

set JYTHON_CACHE="%wasHome%"\\optionalLibraries\\jython\\cachedir\\packages\\jython.pkc
set CP="%wasHome%"\\optionalLibraries\jython\jython.jar;"%wasHome%"\\lib\wbminstall_log.jar;"%wasHome%"\\lib\\wbminstall_util.jar
set JAVA_HOME=%wasHome%\\java
set JYTHON_HOME=%wasHome%\\optionalLibraries\\jython


@REM IF NOT EXIST %JYTHON_CACHE% (
@REM   call "%JAVA_HOME%\bin\java"  -Dpyton.home="%JYTHON_HOME%" -classpath %CP%  org.python.util.jython dummy.jy  2>NUL >NUL
@REM )

echo.



call "%JAVA_HOME%\bin\java"  -Dpyton.home="%JYTHON_HOME%" -classpath %CP%  org.python.util.jython ivt.jy false false 0 "%wasHome%" NULL 1   
  

:DONE
echo.
