#!/bin/sh
#  Licensed Materials - Property of IBM
#  5724-M24
#  (C) Copyright IBM Corporation 2007, 2008. All Rights Reserved.
#  US Government Users Restricted Rights- Use, duplication or disclosure
#  restricted by GSA ADP Schedule Contract with IBM Corp.
#
#

#echo ""
#echo "Start Monitor Verification Test"

usage () {
  echo ""
  echo "ivu.sh -w <WAS_HOME> "
  echo ""
  exit
  
}

wasHome=""

while getopts ":w:" opt
do
  case $opt in
    w) wasHome=$OPTARG;; 
    ?) usage
  esac
done


if [ -z "$wasHome" ]; then
  curDir=`dirname ${0}`
  cd $curDir/../..
  wasHome=`pwd`
fi

cd ${wasHome}/firststeps.wbm/ivt

WAS_HOME=${wasHome}
export WAS_HOME
#echo "WAS_HOME: $WAS_HOME"


JYTHON_CACHE=${wasHome}/optionalLibraries/jython/cachedir/packages/jython.pkc
CP=${wasHome}/optionalLibraries/jython/jython.jar:${wasHome}/lib/wbminstall_log.jar:${wasHome}/lib/wbminstall_util.jar
JAVA_HOME=${wasHome}/java
JYTHON_HOME=${wasHome}/optionalLibraries/jython

#if [ ! -e $JYTHON_CACHE ]; then
#  ${JAVA_HOME}/bin/java  -Dpyton.home=${JYTHON_HOME} -classpath "$CP" \
#  org.python.util.jython dummy.jy  >/dev/null  2>&1 
#fi

echo ""
./jython.sh -w ${WAS_HOME}  message.jy "start.monitor.verification.test" 2>/dev/null
echo ""


${JAVA_HOME}/bin/java  -Dpyton.home=${JYTHON_HOME} -classpath "$CP" \
org.python.util.jython ivt.jy "false" "false" 0 ${wasHome} "NULL" 1
  

echo ""
#echo "Done"
