#  Licensed Materials - Property of IBM
#  5724-M24
#  (C) Copyright IBM Corporation 2007, 2008. All Rights Reserved.
#  US Government Users Restricted Rights- Use, duplication or disclosure
#  restricted by GSA ADP Schedule Contract with IBM Corp.
"""Additional URL lib

"""

from urllib import FancyURLopener

__all__ = ["FancyURLopener2"]

class FancyURLopener2(FancyURLopener):

  def __init__(self):
    FancyURLopener.__init__(self)
    self.user   = ""
    self.passwd = ""

  def set_user_passwd(self, user, passwd):
    self.user   = user
    self.passwd = passwd

  def prompt_user_passwd(self, host, realm):
    return self.user, self.passwd
     
          
