#!/bin/sh

# ***************************************************************
# Licensed Material - Property of IBM
# 
# 5724-M24
# 
# Copyright IBM Corp. 2009, 2011.  All rights reserved.
# 
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM
# Corp.
# ***************************************************************

# Usage: wsadmin arguments
ERRORLEVEL=
export ERRORLEVEL

CURRDIR=`pwd`

cd `dirname $0`
SCRIPTDIR=`pwd`
cd $CURRDIR

# go back up to the scripts.wbm folder because the setupCmdLine.sh is busted and only works if you're exactly one directory below WAS_HOME
cd "$SCRIPTDIR/.."
. "$SCRIPTDIR/../../bin/setupCmdLine.sh"
cd $CURRDIR

# "%JAVA_HOME%\bin\java" -Dwas.install.root=%WAS_HOME% -Djava.util.logging.config.file="%~dp0\logging.properties"      -Djava.security.auth.login.config="%USER_INSTALL_ROOT%\properties\wsjaas_client.conf" -Djava.ext.dirs="%JAVA_HOME%\jre\lib\ext;%WAS_EXT_DIRS%;%WAS_HOME%\plugins;%WAS_HOME%\lib\WMQ\java\lib" -Djava.naming.provider.url=iiop://localhost:9809 -Djava.naming.factory.initial=com.ibm.websphere.naming.WsnInitialContextFactory -Dserver.root="%WAS_HOME%" "%CLIENTSAS%" "%CLIENTSSL%" %USER_INSTALL_PROP% -classpath "%WAS_CLASSPATH%;%~dp0\lib\MM_App_Updater.jar"     com.ibm.wbimonitor.server.updater.MMAppLibraryCodeUpdater %*
"$JAVA_HOME/bin/java"  -Dwas.install.root=$WAS_HOME  -Djava.util.logging.config.file="$SCRIPTDIR/logging.properties" -Djava.security.auth.login.config="$USER_INSTALL_ROOT/properties/wsjaas_client.conf"  -Djava.ext.dirs="$JAVA_HOME/jre/lib/ext:$WAS_EXT_DIRS:$WAS_HOME/plugins:$WAS_HOME/lib/WMQ/java/lib"     -Djava.naming.provider.url=iiop://localhost:9809 -Djava.naming.factory.initial=com.ibm.websphere.naming.WsnInitialContextFactory -Dserver.root="$WAS_HOME"  "$CLIENTSAS"  "$CLIENTSSL"  $USER_INSTALL_PROP  -classpath "$WAS_CLASSPATH:$SCRIPTDIR/lib/MM_App_Updater.jar" com.ibm.wbimonitor.server.updater.MMAppLibraryCodeUpdater "$SCRIPTDIR/MM_App_Updater_Config_80.properties" $*
